package com.example.testapi.controller;

import com.example.testapi.service.ApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
public class PageApiController {


    @Autowired
    public PageApiController(ApiService apiService) {

    }

    @GetMapping("/")
    public String getHomePage() {
        System.out.println("home page requested !");
        return "index.html";
    }

    @GetMapping("/candlesGraph")
    public String getGraphPage() {
        System.out.println("graph page requested !");
        return "showGraphs.html";
    }
}
