package com.example.testapi.model;

public class Candle {
    
    private final long time;
    private final double open;
    private final double high;
    private final double low;
    private final double close;
    private final long closeTime;
//    private double volume;
//    private double assetVolume;
//    private int nbTrades;
//    private double buyBaseAssetVolume;
//    private double buyQuoteAssetVolume;


    public Candle(long openTime, double openPrice, double highPrice, double lowPrice, double closePrice, long closeTime) {
        this.time = openTime/1000;
        this.open = openPrice;
        this.high = highPrice;
        this.low = lowPrice;
        this.close = closePrice;
        this.closeTime = closeTime/1000;
    }

    public long getTime() {
        return time;
    }

    public double getOpen() {
        return open;
    }

    public double getHigh() {
        return high;
    }

    public double getLow() {
        return low;
    }

    public double getClose() {
        return close;
    }

    public long getCloseTime() {
        return closeTime;
    }

    public double checkprice(double price) {
        if (price > this.getHigh()) {
            return this.getHigh();
        }
        else if (price < this.getLow()) {
            return this.getLow();
        }
        else {
            return price;
        }
    }
}
