package com.example.testapi.model;



public class Interval {
    // delta du temps de la bougie par rapport au timestamp de la bougie courante (ex : t+1000, t+2000, ...)
    private int deltaTime;
    private Candle currentCandle;

    public Interval(Candle currentCandle) {
        this.deltaTime = 0;
        this.currentCandle = currentCandle;
    }

    public Candle getCurrentCandle() {
        return currentCandle;
    }

    public int getDeltaTime() {
        return deltaTime;
    }

    public void nextSecond() {
        this.deltaTime += 1;
    }



}
