import { callApi } from "./api.js";

window.onload = function() {
    const dateMax = new Date().toISOString().split("T")[0];
    console.log("date max : " + dateMax);
    document.getElementById("dateDebut").max = dateMax;
    document.getElementById("dateFin").max = dateMax;
    const btn = document.getElementById("formBtn");
    btn.addEventListener("click", sendDates);
};

function sendDates() {
    const dateDebut = document.getElementById("dateDebut").value;
    const dateFin = document.getElementById("dateFin").value;
    
    if (!dateDebut || !dateFin) {
        alert("Veuillez remplir tous les champs.");
        return;
    }

    const data = {
        startDate: dateDebut,
        endDate: dateFin
    };
    callApi("/sendDates", "POST", data);
    
}